Productsup

Create an export custom form field

An export custom form field is a form field belonging to an export. Once created, the form field will be visible in the site channel settings in the productsup platform. This endpoint allows the creation of an export custom form field.

POST
/V1/export/{exportId}/export-custom-form-field

Authorization

bearerAuth
AuthorizationBearer <token>

ProductsUp Keycloak JWT bearer token.

In: header

Path Parameters

exportId*string

Export id.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://export-template-api.productsup.com/V1/export/string/export-custom-form-field" \  -H "Content-Type: application/json" \  -d '{    "name": "type",    "caption": "Type",    "type": "select",    "placeholder": "example type",    "data": "{\'options\':[{\'value\':\'yes\',\'caption\':\'yes\'},{\'value\':\'no\',\'caption\':\'no\'}]}",    "trigger": "ADD_NAME_HEADER",    "order": 1  }'
{
  "data": {
    "id": 2587,
    "name": "type",
    "caption": "Type",
    "type": "select",
    "placeholder": "example type",
    "data": "{'options':[{'value':'yes','caption':'yes'},{'value':'no','caption':'no'}]}",
    "trigger": "ADD_NAME_HEADER",
    "order": 1,
    "export": {
      "id": 58786
    }
  }
}
{
  "errors": {
    "message": "Request validation has encountered constraint violations.",
    "errors": {
      "name": [
        "This field is missing."
      ],
      "caption": [
        "This field is missing."
      ],
      "type": [
        "This field is missing."
      ]
    }
  }
}
{
  "errors": {
    "message": "Resource access denied."
  }
}
{
  "errors": {
    "message": "Export with id 123 not found."
  }
}
{
  "errors": {
    "message": "An Export Custom Form Field with the same name already exists."
  }
}